VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Discussions related to using VirtualBox on Linux hosts.

VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby udoyen » 19. Feb 2018, 18:49

Hi, I recently tried to access my virtualbox devices only to keep seeing this error:
"[30335.982875] vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions ' should be '4.4.0-116-generic SMP mod_unload modversions retpoline '
"
when I try to run this command "/sbin /vboxconfig" as suggested by the error message. I learnt that its related to the "meltdown and spectre" kernel fixes Ubuntu sent out. I have been trying to find way to load the virtualbox kernel driver but I am unable to do so. Please I am hoping someone here had a similar problem and had fixed it.

My OS spec: Linux george-HP-Pavilion-17-Notebook-PC 4.4.0-116-generic x86_64 x86_64 x86_64 GNU/Linux

Best regards
George
Last edited by socratis on 25. Feb 2018, 08:47, edited 1 time in total.
Reason: Changed title to something more appropriate.
udoyen
 
Posts: 6
Joined: 10. Sep 2017, 20:00

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby socratis » 19. Feb 2018, 19:59

You didn't mention your VirtualBox version, aka "VirtualBox -version". Try the latest test builds (https://www.virtualbox.org/wiki/Testbuilds), especially with all the Spectre/Meltdown patches coming in from all sides, and see if it works...
Do NOT send me Personal Messages (PMs) for troubleshooting, they are simply deleted.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
socratis
Site Moderator
 
Posts: 27690
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby udoyen » 19. Feb 2018, 22:26

Hello and thanks for the response, my Virtualbox version is 5.2.6 r120293 (Qt5.6.1). And I will try the test builds you suggested.

Best Regards
George
udoyen
 
Posts: 6
Joined: 10. Sep 2017, 20:00

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby udoyen » 19. Feb 2018, 23:07

Hello I tried a test build the latest but still got the same error message: "vboxdrv.sh: failed: modprobe vboxdrv failed"

Best Regards
George
udoyen
 
Posts: 6
Joined: 10. Sep 2017, 20:00

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby PlantMP » 21. Feb 2018, 08:38

I have same problem with different error
Code: Select all   Expand viewCollapse view
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please install virtualbox-dkms package and load the kernel module by executing

'modprobe vboxdrv'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT
PlantMP
 
Posts: 5
Joined: 20. Feb 2018, 10:01

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby socratis » 21. Feb 2018, 11:43

PlantMP wrote:I have same problem with different error
Then it's not the same problem. By definition... ;)

You didn't tell us the host complete version (uname -a), and where you got your VirtualBox from. If you got it from the store, delete it. In these forums only the official VirtualBox is supported. And with all the patches coming in, try the testbuilds.

And for future reference, the error alone doesn't help. We need details, a lot more details...
Do NOT send me Personal Messages (PMs) for troubleshooting, they are simply deleted.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
socratis
Site Moderator
 
Posts: 27690
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: Virtualbox Won't Launch on Ubuntu Xenial

Postby udoyen » 22. Feb 2018, 20:45

I tried the testbuilds but still got the same error from the version I got from Virtualbox Official site. Note I am not using the Ubuntu repo version. As for the command (uname -a): Linux george-HP-Pavilion-17-Notebook-PC 4.4.0-116-generic #140-Ubuntu SMP Mon Feb 12 21:23:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
:( . The error says I should run the modprobe vboxdrv as root which I have done severally. And the error from `dmesg`: `vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions ' should be '4.4.0-116-generic SMP mod_unload modversions retpoline '`
udoyen
 
Posts: 6
Joined: 10. Sep 2017, 20:00

After upgrading to Kernel 4.4.0-116 , I cannot start Virtual Box

Postby carkaci » 25. Feb 2018, 01:25

After upgrading to Kernel 4.4.0-116 , I cannot start Virtual Box.
It says;
Code: Select all   Expand viewCollapse view
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/sbin/vboxconfig'

as root.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.

Then I run
Code: Select all   Expand viewCollapse view
     sudo /sbin/vboxconfig

it says
Code: Select all   Expand viewCollapse view
    vboxdrv.sh: failed: modprobe vboxdrv failed. Please use 'dmesg' to find out why.

When I "dmesg" it says
Code: Select all   Expand viewCollapse view
   vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions ' should be '4.4.0-116-generic SMP mod_unload modversions retpoline '

Any idea ?
Last edited by socratis on 25. Feb 2018, 08:59, edited 1 time in total.
Reason: Enclosed the information in [code] tag for better readability
carkaci
 
Posts: 2
Joined: 25. Feb 2018, 01:24

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby socratis » 25. Feb 2018, 08:47

@carkaci
I merged your post with a similar problem. I also changed the title of the OP to reflect the error message.
Do NOT send me Personal Messages (PMs) for troubleshooting, they are simply deleted.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
socratis
Site Moderator
 
Posts: 27690
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby carkaci » 25. Feb 2018, 09:05

My uname -r is 4.4.0-116-generic, I also tried VirtualBox-5.2.7-120822-Linux_amd64.run , but I still got the same errors.
carkaci
 
Posts: 2
Joined: 25. Feb 2018, 01:24

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby socratis » 25. Feb 2018, 09:16

According to kernel.org, 4.4.0-116 was released on 2018-02-16. That's later than the latest test builds (2018-02-14). I expect that this will be addressed in a future release, be it 5.2.8 or a test build...

 Edit: .
I was able to install VirtualBox 5.2.6r120293 on an Ubuntu 16.04 with "uname -a":
Code: Select all   Expand viewCollapse view
Linux VB-Ubuntu 4.4.0-116-generic #140-Ubuntu SMP Mon Feb 12 21:22:43 UTC 2018 i686 i686 i686 GNU/Linux

So, the kernel doesn't seem to be the problem. 
Do NOT send me Personal Messages (PMs) for troubleshooting, they are simply deleted.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
socratis
Site Moderator
 
Posts: 27690
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby Akos » 27. Feb 2018, 23:33

From today I have the error said before... It is:

[ 2820.024991] vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions ' should be '4.4.0-116-generic SMP mod_unload modversions retpoline '

My uname -r is: 4.4.0-116-generic
Akos
 
Posts: 3
Joined: 27. Feb 2018, 23:26

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby kartones » 28. Feb 2018, 09:50

VirtualBox just updated and still facing same problem :(

Virtualbox: Version 5.2.8 r121009 (Qt5.6.1)

Code: Select all   Expand viewCollapse view
Ubuntu 16.04 fully patched


uname -r:
Code: Select all   Expand viewCollapse view
4.4.0-116-generic


dmesg
Code: Select all   Expand viewCollapse view
vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions ' should be '4.4.0-116-generic SMP mod_unload modversions retpoline '
kartones
 
Posts: 2
Joined: 28. Feb 2018, 09:47

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby socratis » 28. Feb 2018, 10:28

Simply searching for "4.4.0-116-generic SMP mod_unload modversions" on the webs, shows that it's a known problem. For example: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1750937
Do NOT send me Personal Messages (PMs) for troubleshooting, they are simply deleted.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
socratis
Site Moderator
 
Posts: 27690
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: VirtualBox won't launch: vboxdrv: version magic '4.4.0-116-generic SMP mod_unload modversions

Postby uli100 » 28. Feb 2018, 15:16

I'm using ubuntu-14.04 (trusty) and I've seen the error. I managed to solve them by doing this:

1. Remove all GCC versions
2. Install GCC-4.8.2: apt-get install gcc-4.8=4.8.2-19ubuntu1 gcc-4.8-base=4.8.2-19ubuntu1 cpp-4.8=4.8.2-19ubuntu1 libgcc-4.8-dev=4.8.2-19ubuntu1 libasan0=4.8.2-19ubuntu1 gcc
3. Try to build the module -> no luck, same error
4. Update the compiler: apt-get update; apt-get upgrade
5. Check the version: gcc --version -> shows -> gcc (Ubuntu 4.8.4-2ubuntu1~14.04.4) 4.8.4
6. Build the module -> success

When starting the investigation, Gcc-4.8.5 was installed on my machine. Now it is 4.8.4.

Best regards, Uli
uli100
 
Posts: 59
Joined: 29. Oct 2009, 18:34
Location: Stuttgart, Germany
Primary OS: Ubuntu other
VBox Version: PUEL
Guest OSses: Various Linux Distros

Next

Return to VirtualBox on Linux Hosts

Who is online

Users browsing this forum: No registered users and 26 guests